×
Namespaces

Variants
Actions

在S60第三版SIS文件中指定平台依赖属性

From Nokia Developer Wiki
Jump to: navigation, search
Article Metadata

兼容于
平台:
Symbian

文章
huwell 在 27 Jun 2007 创建
最后由 hamishwillee 在 08 May 2013 编辑
  • 设备, 软件 版本:

S60 3rd Edition


  • 说明:

pkg文件中需要指定平台依赖属性那行的格式在S60第三版中已经做了更改。


  • 详细描述:

在S60第二版中,我们要在pkg中指定软件平台依赖性时,必须遵循下列格式。

; Supports S60 2nd Edition
 
(0x101F7960), 0, 0, 0, {"Series60ProductID"}
(0x101F7960), 0, 0, 0,


在S60第三版中,平台依赖性是从硬件依赖考虑的,而平台UID必须是用中括号来定义:

; Supports S60 3rd Edition
 
[0x101F7961], 0, 0, 0, {"Series60ProductID"}


而老的定义形式在S60第三版中的pkg文件中仍然有效,makesis执行时不会提示错误。不过如果要安装这样形式的SIS文件到第三版设备上将会引发“Application not compatible” 错误。因为安装程序无法识别平台UID。


一些支持自定义产生pkg文件的工具及IDE可能仍然在使用老格式,这个需要注意。


  • 解决方案:

检查那些为生成在S60第三版上SIS包的pkg文件中,关于平台依赖性设置的格式是否正确。

This page was last modified on 8 May 2013, at 03:04.
68 page views in the last 30 days.

Was this page helpful?

Your feedback about this content is important. Let us know what you think.

 

Thank you!

We appreciate your feedback.

×